Auth History

Get Client Authorization History

GET
/api/v2/clients/authorizations

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer

Sets the limit

Range1 <= value <= 500
Default10
offset?integer

Sets the offset

Range0 <= value
Default0
sort_order?string

Sorts the items in ascending or descending order

Default"desc"

Value in

  • "asc"
  • "desc"
sort_by?"authDateTime"

Sorts the items by a specified value

Default"authDateTime"

Value in

  • "authDateTime"
filter?unknown

Filters the items by a specified value

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/clients/authorizations?limit=10&offset=0&sort_order=desc&sort_by=authDateTime" \  -H "accept-language: ja"
{  "total": 0,  "data": [    {      "id": 0,      "client": {        "id": 0,        "fullName": "John Doe",        "email": "foo@bar.com"      },      "ip": "192.168.1.1",      "authDateTime": "2022-01-01T00:00:00+00:00",      "status": "success"    }  ]}
{  "error": {    "message": "Bad Request",    "code": 0,    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Not Found"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}